Visit API

post /visits

Create an appointment

Base URL https://api.vseepreview.com/api_v3 · operationId createAppointment

Authentication: User Token — Requires a user access token from login or SSO.

Create a new scheduled appointment for a patient with a provider

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
member_idquerystringnoThe ID of the visiting patient (optional) (e.g. 575)
slot_startqueryintegeryesUNIX timestamp of appointment beginning (e.g. 1470669300)
slot_endqueryintegeryesUNIX timestamp of appointment ending (e.g. 1470670200)
room_codequerystringyesRoom code (required) (e.g. vclinicroom)
typequeryintegeryesVisit type: 2=scheduling (e.g. 2)
intake_idquerystringyesThe ID of the intake (e.g. 57a0705e-1c4c-4f24-b51d-3c71ac1f0144)
provider_idquerystringnoThe ID of the provider (optional)

Responses

200 — Appointment created successfully

Appointment created — Successfully created appointment

{
  "data": {
    "member_id": 17778181,
    "provider_id": 12456470,
    "account_code": "vclinic",
    "code": "615f2e2eabc46ad94e9b6457b11",
    "start": 1631628616,
    "end": 1631628916,
    "type": 2,
    "status": 30,
    "room_code": "vclinicroom",
    "created": 1633627694,
    "modified": 1633630312,
    "provider": {
      "id": "12456470",
      "email": "doctor@vseelab.com",
      "full_name": "Dr. Anton Provider"
    },
    "member": {
      "id": "17778181",
      "email": "patient@vseelab.com",
      "full_name": "Anton Test"
    },
    "intake_id": "615f2de7-8ab8-48d3-80d8-53f564457b11"
  }
}

400 — Bad request - missing required parameters

{
  "error": "Unauthorized",
  "message": "Invalid or missing API token"
}

401 — Unauthorized

{
  "error": "Unauthorized",
  "message": "Invalid or missing API token"
}

Machine-readable: OpenAPI JSON (operationId: createAppointment)